Skip to main content
GET
Get project file

Authorizations

Authorization
string
header
required

Use a JWT bearer token or a Veryfront API key in the Authorization header.

Path Parameters

project_reference
string
required

Project slug, UUID, or domain

file_path
string
required

File path or UUID (URL-encoded, for example, pages%2Findex.mdx).

Query Parameters

ref
string

Content to address: main, branch:<name-or-id>, release:<version> or env:<name>. Canonical replacement for branch and branch_id.

Example:

"branch:feature-x"

branch
string

Branch name or ID. Legacy alias for ref=branch:<value>.

Example:

"feature-x"

branch_id
string<uuid>

Branch ID. Legacy alias for ref=branch:<uuid>.

fields
string

Response fields to include or exclude. Examples: (id,name), (id,files(path)), and !(content).

Pattern: ^!?\([^)]*\)$
Example:

"(id,path,type,size)"

Response

File content with metadata with selectable response fields.

path
string
required
content
string
required
size
number
required

Size of the file content encoded as UTF-8, in bytes.

type
enum<string>
required
Available options:
page,
function,
component,
file
updated_at
string
required
id
string
version_id
string
checksum
string | null

Hypermedia links for resource navigation